'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var DownloaderInterface = require('./DownloaderInterface.cjs');
var EddsaInterface = require('./EddsaInterface.cjs');
var ProgramRepositoryInterface = require('./ProgramRepositoryInterface.cjs');
var SerializerInterface = require('./SerializerInterface.cjs');
var Signer = require('./Signer.cjs');
var UploaderInterface = require('./UploaderInterface.cjs');

const createMetaplex = () => ({
  uploader: new UploaderInterface.NullUploader(),
  downloader: new DownloaderInterface.NullDownloader(),
  identity: new Signer.NullSigner(),
  eddsa: new EddsaInterface.NullEddsa(),
  programs: new ProgramRepositoryInterface.NullProgramRepository(),
  serializer: new SerializerInterface.NullSerializer(),
  use(plugin) {
    plugin.install(this);
    return this;
  }
});

exports.createMetaplex = createMetaplex;
//# sourceMappingURL=Metaplex.cjs.map
