import { NullDownloader } from './DownloaderInterface.mjs';
import { NullEddsa } from './EddsaInterface.mjs';
import { NullProgramRepository } from './ProgramRepositoryInterface.mjs';
import { NullSerializer } from './SerializerInterface.mjs';
import { NullSigner } from './Signer.mjs';
import { NullUploader } from './UploaderInterface.mjs';

const createMetaplex = () => ({
  uploader: new NullUploader(),
  downloader: new NullDownloader(),
  identity: new NullSigner(),
  eddsa: new NullEddsa(),
  programs: new NullProgramRepository(),
  serializer: new NullSerializer(),
  use(plugin) {
    plugin.install(this);
    return this;
  }
});

export { createMetaplex };
//# sourceMappingURL=Metaplex.mjs.map
